| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Lib::ILoadableScript Interface Reference

Interface for classes that can be dynamically loadeded from scripts and run, which provides functionality of dynamic scripting. It is recommendable to derive all such classes from the LoadableScriptBase base class. More...

Inheritance diagram for IG::Lib::ILoadableScript:
[legend]

List of all members.

## Public Member Functions
string | Run (string[] arguments)
| Runs the executable method of the object.
void | Initialize (string[] arguments)
| Initializes the current object.
## Properties
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method.
bool | IsInitialized`[get]`
| Whether the object has been initialized or not.

## Detailed Description

Interface for classes that can be dynamically loadeded from scripts and run, which provides functionality of dynamic scripting. It is recommendable to derive all such classes from the LoadableScriptBase base class.

$A Igor Jul09 May10;

## Member Function Documentation

string IG::Lib::ILoadableScript::Run | ( | string[] | arguments | ) |

Runs the executable method of the object.

Parameters:

  arguments | String arguments to the executable method.

Returns:

Implemented in IG::Lib::LoadableScriptBase.

void IG::Lib::ILoadableScript::Initialize | ( | string[] | arguments | ) |

Initializes the current object.

Parameters:

  arguments | Arguments of initialization.

Implemented in IG::Lib::LoadableScriptBase.

## Property Documentation

string [] IG::Lib::ILoadableScript::InitializationArguments`[get, set]`

Arguments used by the initialization method.

Implemented in IG::Lib::LoadableScriptBase.

bool IG::Lib::ILoadableScript::IsInitialized`[get]`

Whether the object has been initialized or not.

Implemented in IG::Lib::LoadableScriptBase.

The documentation for this interface was generated from the following file:

- LoadableScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events